My Project: MMatrix Class Reference

My Project

Public Member Functions | Public Attributes | Friends | List of all members
MMatrix Class Reference

`#include <geom.h>`

## Public Member Functions

| MMatrix ()
| MMatrix (const Vector &i, const Vector &j, const Vector &k)
| MMatrix (const Quat &q)
| MMatrix (float angle, const Vector &axis)
Vector & | operator[] (int n)
const Vector & | operator[] (int n) const
MMatrix & | operator~ () const
float | determinant () const
MMatrix & | operator- () const
MMatrix & | cofactor () const
bool | operator== (const MMatrix &q) const
bool | operator!= (const MMatrix &q) const
Vector | operator* (const Vector &q) const
MMatrix & | operator* (const MMatrix &q) const
void | orthogonalize ()
MMatrix & | orthogonalized () const

## Public Attributes

Vector | i
Vector | j
Vector | k

## Friends

class | Transform

## Constructor & Destructor Documentation

## § MMatrix() [1/4]

MMatrix::MMatrix | ( |  | ) |

inline

## § MMatrix() [2/4]

MMatrix::MMatrix | ( | const Vector & | i,
|  | const Vector & | j,
|  | const Vector & | k
| ) |  |

inline

## § MMatrix() [3/4]

MMatrix::MMatrix | ( | const Quat & | q | ) |

inline

## § MMatrix() [4/4]

MMatrix::MMatrix | ( | float | angle,
|  | const Vector & | axis
| ) |  |

inline

## Member Function Documentation

## § cofactor()

MMatrix& MMatrix::cofactor | ( |  | ) | const

inline

## § determinant()

float MMatrix::determinant | ( |  | ) | const

inline

## § operator!=()

bool MMatrix::operator!= | ( | const MMatrix & | q | ) | const

inline

## § operator*() [1/2]

Vector MMatrix::operator* | ( | const Vector & | q | ) | const

inline

## § operator*() [2/2]

MMatrix& MMatrix::operator* | ( | const MMatrix & | q | ) | const

inline

## § operator-()

MMatrix& MMatrix::operator- | ( |  | ) | const

inline

## § operator==()

bool MMatrix::operator== | ( | const MMatrix & | q | ) | const

inline

## § operator[]() [1/2]

Vector& MMatrix::operator[] | ( | int | n | ) |

inline

## § operator[]() [2/2]

const Vector& MMatrix::operator[] | ( | int | n | ) | const

inline

## § operator~()

MMatrix& MMatrix::operator~ | ( |  | ) | const

inline

## § orthogonalize()

void MMatrix::orthogonalize | ( |  | ) |

inline

## § orthogonalized()

MMatrix& MMatrix::orthogonalized | ( |  | ) | const

inline

## Friends And Related Function Documentation

## § Transform

friend class Transform

friend

## Member Data Documentation

## § i

Vector MMatrix::i

## § j

Vector MMatrix::j

## § k

Vector MMatrix::k

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/geom.h
- openb3dlib.mod/openb3d/src/geom.cpp